"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const token_or_expression_1 = require("./token-or-expression");
/* tslint:disable-next-line no-any */
function isAbstractSyntaxTree(arg) {
    return (arg !== null &&
        arg !== undefined &&
        typeof arg.type === 'string' &&
        Array.isArray(arg.tree) &&
        /* tslint:disable-next-line no-any */
        arg.tree.every((item) => token_or_expression_1.isTokenOrExpression(item)));
}
exports.isAbstractSyntaxTree = isAbstractSyntaxTree;
//# sourceMappingURL=ast.js.map